import Vue from 'vue'
import Router from 'vue-router'
import store from "../store/index.js"

// 一级路由
import NavBar from '@/components/navBar'

//二级路由
import Home from '@/components/home/home.vue' //首页
import Work from '@/components/work/work.vue' //工作管理
import Message from '@/components/message/message.vue' //消息
import MessageInfo from '@/components/message/messageInfo' //消息详情 (APP端使用)
import Mine from '@/components/mine/mine.vue' //我的

import ZuShop from '@/components/shop/zushop.vue' //租商铺列表
import ZuShopDetail from '@/components/shop/zushopdetail.vue' //租商铺详情
import SellShop from '@/components/shop/sellshop.vue' //买商铺列表
import SellShopDetail from '@/components/shop/sellshopdetail.vue' //买商铺详情
import NewShop from '@/components/shop/newshop.vue' //商铺新盘列表
import NewShopDetail from '@/components/shop/newshopdetail.vue' //商铺新盘详情
import NewShopDetailH5 from '@/components/shop/newshopdetailH5.vue' //商铺新盘详情

import ShouLou from '@/components/shop/shoulou.vue' //买写字楼列表
import ShouLouDetail from '@/components/shop/shouloudetail.vue' //买写字楼详情
import ZuLou from '@/components/shop/zulou.vue' //买写字楼列表
import ZuLouDetail from '@/components/shop/zuloudetail.vue' //买写字楼详情
import Loupan from '@/components/shop/loupan.vue' //写字楼新盘列表
import LoupanDetail from '@/components/shop/loupandetail.vue' //写字楼新盘详情
import Search from '@/components/shop/search.vue' //搜索楼盘
import Searchshop from '@/components/shop/searchshop.vue' //搜索商铺

import Login from '@/components/login/login' //登录
import UserLogin from '@/components/login/userLogin' //登录
import UserAgreement from '@/components/login/userAgreement' //用户协议
import Privacy from '@/components/login/privacy' //隐私协议 (APP端使用)
import ShareEconomic from '@/components/login/shareEconomic' //用户协议(APP端使用)

import DevelopmentTeam from '@/components/code/developmentTeam' //发展团队
import DevelopmentTeamH5 from '@/components/code/developmentTeamH5' //发展团队PC使用

import NewsDel from '@/components/news/newsDel' //资讯详情 (APP端使用)
import News from '@/components/news/news' //资讯详情

import News1 from '@/components/news/news1' //资讯详情（分享测试）

import Agreement from '@/components/common/agreement' //实名认证服务协议

import AboutUP from '@/components/mine/aboutUP' //关于优铺
import Consultation from '@/components/mine/consultation' //问题咨询
import SetList from '@/components/mine/set' //系统设置

import Brand from '@/components/brand/brand' //品牌
import ZyBrand from '@/components/brand/zybrand' //直营品牌
import JmBrand from '@/components/brand/jmbrand' //加盟品牌
import ZyDetail from '@/components/brand/zydetail' //直营品牌详情
import JmDetail from '@/components/brand/jmdetail' //加盟品牌详情
import BrandSearch from '@/components/brand/brandsearch' //加盟品牌详情

import Entrust from '@/components/entrust/entrust' //在线委托
import Loans from '@/components/entrust/loans' //商办贷
import Estimate from '@/components/entrust/estimate' //商办评估

import OfficesEstimate from '@/components/entrust/officesestimate' //写字楼评估
import ShopEstimate from '@/components/entrust/shopestimate' //商铺评估

import Economic from '@/components/economic/economic' //经纪人入口
import Company from '@/components/economic/company' //经纪人入口公司
import Broker from '@/components/economic/broker' //经纪人入口个人

import Qiuzu from '@/components/qiuzu/qiuzu' //求租列表
import QiuzuDetails from '@/components/qiuzu/qiuzudetails' //求租详情
import Qiugou from '@/components/qiugou/qiugou' //求购列表

import Recommend from '@/components/recommend/recommend' //推荐朋友
import RecommendList from '@/components/recommend/recommendlist' //已推荐列表
import RecommendLogin from '@/components/recommend/recommendlogin' //推荐朋友登录

import CitySelection from '@/components/home/citySelection' //城市选择
import WorkArea from '@/components/mine/workArea' //工作区域

import HouseDetail from '@/components/shop/housedetail.vue' //房源详情 (app分享使用)
import ProjectDetail from '@/components/shop/projectdetail.vue' //项目详情 (app分享使用)

Vue.use(Router)

const router =  new Router({
  // base: "/",
  mode: "history",
  scrollBehavior: ()=>({y:0}),//路由切换以后返回到顶部
  routes: [
    {path: '*', name:'navBar',redirect: "/home",component: NavBar,
        children:[
          {path: '/home',component: Home},
          {path: '/mine',component: Mine},
          {path: '/work',component: Work},
          {path: '/message',component: Message},
        ]
    },
    {path: '/zuShop',component: ZuShop}, //租商铺
    {path: '/zuShopDetail',component: ZuShopDetail}, //租商铺详情
    {path: '/sellShop',component: SellShop}, //买商铺
    {path: '/sellShopDetail',component: SellShopDetail}, //买商铺详情
    {path: '/shoulou',component: ShouLou}, //买写字楼
    {path: '/shouloudetail',component: ShouLouDetail}, //买写字楼详情
    {path: '/zuLou',component: ZuLou}, //租写字楼
    {path: '/zuLouDetail',component: ZuLouDetail}, //租写字楼详情
    {path: '/newShop',component: NewShop}, //商铺新盘列表
    {path: '/newshopdetail',component: NewShopDetail}, //商铺新盘详情
    {path: '/newshopdetailH5',component: NewShopDetailH5}, //商铺新盘详情
    {path: '/loupan',component: Loupan}, //写字楼新盘列表
    {path: '/loupandetail',component: LoupanDetail}, //写字楼新盘详情
    {path: '/search',component: Search}, //搜索楼盘
    {path: '/searchshop',component: Searchshop}, //搜索商铺

    {path: '/brand',component: Brand}, //品牌
    {path: '/zybrand',component: ZyBrand}, //直营品牌
    {path: '/jmbrand',component: JmBrand}, //加盟品牌
    {path: '/zydetail',component: ZyDetail}, //直营品牌详情
    {path: '/jmdetail',component: JmDetail}, //加盟品牌详情
    {path: '/brandsearch',component: BrandSearch}, //品牌搜索

    {path: '/login',component: Login}, // 登录
    {path: '/userlogin',component: UserLogin}, // 用户登录
    {path: '/userAgreement',component: UserAgreement}, //用户协议
    {path: '/Privacy',component: Privacy}, //隐私协议 (APP端使用)
    {path: '/shareEconomic',component: ShareEconomic}, //共享协议(APP端使用)
    {path: '/developmentTeam',component: DevelopmentTeam}, //发展团队
    {path: '/developmentTeamH5',component: DevelopmentTeamH5}, //发展团队PC使用
    {path: '/aboutUP',component: AboutUP}, //关于优铺
    {path: '/agreement',component: Agreement}, //实名认证服务协议
    {path: '/newsDel',component: NewsDel}, //资讯详情(APP端使用)
    {path: '/news',component: News}, //资讯详情
    {path: '/news1',component: News1}, //资讯详情
    {path: '/set',component: SetList}, //系统设置
    {path: '/consultation',component: Consultation}, //问题咨询

    {path: '/entrust',component: Entrust}, //在线委托
    {path: '/loans',component: Loans}, //商办贷
    {path: '/estimate',component: Estimate}, //商办评估
    {path: '/officesestimate',component: OfficesEstimate}, //写字楼评估
    {path: '/shopestimate',component: ShopEstimate}, //商铺评估
    
    {path: '/economic',component: Economic}, //经纪人入口
    {path: '/company',component: Company}, //经纪人入口公司
    {path: '/broker',component: Broker}, //经纪人入口个人

    {path: '/qiuzu',component: Qiuzu}, //求租列表
    {path: '/qiuzudetails',component: QiuzuDetails}, //求租详情
    {path: '/qiugou',component: Qiugou}, //求购列表

    {path: '/recommend',component: Recommend}, //推荐朋友
    {path: '/recommendlist',component: RecommendList}, //已推荐列表
    {path: '/recommendlogin',component: RecommendLogin}, //推荐朋友登录

    {path: '/messageInfo',component: MessageInfo}, //消息详情 (APP端使用)

    {path: '/citySelection',component: CitySelection}, //城市选择

    {path: '/workArea',component: WorkArea}, //工作区域

    {path: '/housedetail',component: HouseDetail}, //房源详情 (app分享使用)
    {path: '/projectdetail',component: ProjectDetail}, //项目详情 (app分享使用)

  ],
})

export default router;
